button class Button widget.
Inherits
object button
Description
This widget provides a push button
Functions

`$setText([<text:string>])`
Set the button text. See also $text().
`<string> $text()`
Return the button text. See also $setText().
`$setImage(<image_id_or_pixmap_object>)`
Sets the icon for this button. See the image identifier documentation for the explanation of the <image_id> parameter.
`$clickEvent()`
Called by KVIrc when the mouse button is clicked. The default implementation emits the $clicked()signal.

Signals

`$clicked()`
This signal is emitted by the default implementation of $clickEvent().

Index, Object Classes